package org.jcg.zheng;

import static org.junit.jupiter.api.Assertions.assertEquals;

import java.util.stream.IntStream;

import org.junit.jupiter.api.Test;

class DemoInsertArrayTest {

	private DemoInsertArray testClass = new DemoInsertArray();

	private int[] sortedArray = IntStream.range(1, 10000).toArray();
	private int newNumber = 666;

	@Test
	void test_insert_via_Array() {
		assertEquals(9999, sortedArray.length);
		assertEquals(667, sortedArray[666]);

		int[] updatedSortedArray = testClass.insert_via_Array(sortedArray, newNumber);
		assertEquals(10000, updatedSortedArray.length);
		assertEquals(666, updatedSortedArray[666]);
	}

	@Test
	void test_insert_via_List() {
		assertEquals(9999, sortedArray.length);
		assertEquals(667, sortedArray[666]);

		int[] updatedSortedArray = testClass.insert_via_List(sortedArray, newNumber);
		assertEquals(10000, updatedSortedArray.length);
		assertEquals(666, updatedSortedArray[666]);
	}
}
